diff --git a/src/sshmasterconnection.cpp b/src/sshmasterconnection.cpp
index 8b59fe7..424cad2 100644
--- a/src/sshmasterconnection.cpp
+++ b/src/sshmasterconnection.cpp
@@ -1576,125 +1591,123 @@ bool SshMasterConnection::userAuthKrb()
      */
     local_args << shcmd;
 
-    x2goDebug << "Starting ssh:" << local_cmd << " " << local_args.join (" ") << endl;
-    ssh.start (local_cmd, local_args);
-
+    x2goDebug << "Starting ssh:" << local_cmd << " " << local_args.join(" ") << endl;
+    ssh.start(local_cmd, local_args);
 
     if (!ssh.waitForStarted(5000))
     {
-        sshProcErrString=ssh.errorString();
-        authErrors<<sshProcErrString;
-        x2goDebug<<"SSH start failed:" <<sshProcErrString<<endl;
+        sshProcErrString = ssh.errorString();
+        authErrors << sshProcErrString;
+        x2goDebug << "SSH start failed:" << sshProcErrString << endl;
         return false;
     }
     if (!ssh.waitForFinished(20000))
     {
-        sshProcErrString=ssh.errorString();
-        authErrors<<tr("Failed to start SSH client. Please check your installation and GSSApi configuration.");
-        authErrors<<sshProcErrString;
-        x2goDebug<<"SSH did not finish:" <<sshProcErrString<<endl;
+        sshProcErrString = ssh.errorString();
+        authErrors << tr("Failed to start SSH client. Please check your installation and GSSApi configuration.");
+        authErrors << sshProcErrString;
+        x2goDebug << "SSH did not finish:" << sshProcErrString << endl;
 
         return false;
     }
-    QString outp=ssh.readAllStandardOutput();
-    QString err=ssh.readAllStandardError();
-    x2goDebug<<"SSH exited.";
-    x2goDebug<<"stdout: "<<outp<<endl;
-    x2goDebug<<"stderr: "<<err<<endl;
-    x2goDebug<<"Exit code: "<<ssh.exitCode()<<"; status: "<<ssh.exitStatus()<<endl;
-
-    QString begin_marker = "X2GODATABEGIN:"+uuidStr+"\n";
-    QString end_marker = "X2GODATAEND:"+uuidStr+"\n";
-    int output_begin=outp.indexOf(begin_marker) + begin_marker.length();
-    int output_end=outp.indexOf(end_marker);
-    outp = outp.mid(output_begin, output_end-output_begin);
-    outp.replace("\n","");
-
-    if (ssh.exitCode() == 0 && ssh.exitStatus() == 0 && outp== user)
+    QString outp = ssh.readAllStandardOutput();
+    QString err = ssh.readAllStandardError();
+    x2goDebug << "SSH exited.";
+    x2goDebug << "stdout: " << outp << endl;
+    x2goDebug << "stderr: " << err << endl;
+    x2goDebug << "Exit code: " << ssh.exitCode() << "; status: " << ssh.exitStatus() << endl;
+
+    QString begin_marker = "X2GODATABEGIN:" + uuidStr + "\n";
+    QString end_marker = "X2GODATAEND:" + uuidStr + "\n";
+    int output_begin = outp.indexOf(begin_marker) + begin_marker.length();
+    int output_end = outp.indexOf(end_marker);
+    outp = outp.mid(output_begin, output_end - output_begin);
+    outp.replace("\n", "");
+
+    if (ssh.exitCode() == 0 && ssh.exitStatus() == 0 && outp == user)
         return true;
-    authErrors<<tr("Check your GSSApi configuration or choose another authentication method.");
+    authErrors << tr("Check your GSSApi configuration or choose another authentication method.");
     return false;
 }
 
-
 void SshMasterConnection::interactionTextEnter(QString text)
 {
-    if(sshProxy && ! sshProxyReady)
+    if (sshProxy && !sshProxyReady)
     {
         sshProxy->interactionTextEnter(text);
-	return;
+        return;
     }
     interactionInputMutex.lock();
-    interactionInputText=text;
+    interactionInputText = text;
     interactionInputMutex.unlock();
 }
 
 void SshMasterConnection::interactionInterruptSlot()
 {
-    if(sshProxy && ! sshProxyReady)
+    if (sshProxy && !sshProxyReady)
     {
         sshProxy->interactionInterruptSlot();
-	return;
+        return;
     }
     interactionInputMutex.lock();
-    interactionInterrupt=true;
+    interactionInterrupt = true;
     interactionInputMutex.unlock();
 }
 
 bool SshMasterConnection::checkLogin()
 {
-    interactionInterrupt=false;
-    interactionInputText=QString::null;
+    interactionInterrupt = false;
+    interactionInputText = QString::null;
 
+    ssh_channel channel = ssh_channel_new(my_ssh_session);
 
-    ssh_channel channel = ssh_channel_new ( my_ssh_session );
-
-    if (!channel) {
-        QString err = ssh_get_error (my_ssh_session);
-        QString error_msg = tr ("%1 failed.").arg ("ssh_channel_new");
+    if (!channel)
+    {
+        QString err = ssh_get_error(my_ssh_session);
+        QString error_msg = tr("%1 failed.").arg("ssh_channel_new");
 
-        x2goDebug << error_msg.left (error_msg.size () - 1) << ": " << err << endl;
+        x2goDebug << error_msg.left(error_msg.size() - 1) << ": " << err << endl;
         return false;
     }
-    if ( ssh_channel_open_session ( channel ) !=SSH_OK )
+    if (ssh_channel_open_session(channel) != SSH_OK)
     {
-        QString err=ssh_get_error ( my_ssh_session );
-        QString errorMsg=tr ( "%1 failed." ).arg ("ssh_channel_open_session");
-        x2goDebug<<errorMsg.left (errorMsg.size () - 1)<<": "<<err<<endl;
+        QString err = ssh_get_error(my_ssh_session);
+        QString errorMsg = tr("%1 failed.").arg("ssh_channel_open_session");
+        x2goDebug << errorMsg.left(errorMsg.size() - 1) << ": " << err << endl;
         ssh_channel_free(channel);
         return false;
     }
-    if (ssh_channel_request_pty(channel)!=SSH_OK)
+    if (ssh_channel_request_pty(channel) != SSH_OK)
     {
-        QString err=ssh_get_error ( my_ssh_session );
-        QString errorMsg=tr ( "%1 failed." ).arg ("ssh_channel_request_pty");
-        x2goDebug<<errorMsg.left (errorMsg.size () - 1)<<": "<<err<<endl;
+        QString err = ssh_get_error(my_ssh_session);
+        QString errorMsg = tr("%1 failed.").arg("ssh_channel_request_pty");
+        x2goDebug << errorMsg.left(errorMsg.size() - 1) << ": " << err << endl;
         ssh_channel_free(channel);
         return false;
     }
-    if(ssh_channel_change_pty_size(channel, 80, 24)!=SSH_OK)
+    if (ssh_channel_change_pty_size(channel, 80, 24) != SSH_OK)
     {
-        QString err=ssh_get_error ( my_ssh_session );
-        QString errorMsg=tr ( "%1 failed." ).arg ("ssh_channel_change_pty_size");
-        x2goDebug<<errorMsg.left (errorMsg.size () - 1)<<": "<<err<<endl;
+        QString err = ssh_get_error(my_ssh_session);
+        QString errorMsg = tr("%1 failed.").arg("ssh_channel_change_pty_size");
+        x2goDebug << errorMsg.left(errorMsg.size() - 1) << ": " << err << endl;
         ssh_channel_free(channel);
         return false;
     }
-    if ( ssh_channel_request_exec ( channel, "echo \"LOGIN OK\"" ) != SSH_OK )
+    if (ssh_channel_request_exec(channel, "echo \"LOGIN OK\"") != SSH_OK)
     {
-        QString err=ssh_get_error ( my_ssh_session );
-        QString errorMsg=tr ( "%1 failed." ).arg ("ssh_channel_request_exec");
-        x2goDebug<<errorMsg.left (errorMsg.size () - 1)<<": "<<err<<endl;
+        QString err = ssh_get_error(my_ssh_session);
+        QString errorMsg = tr("%1 failed.").arg("ssh_channel_request_exec");
+        x2goDebug << errorMsg.left(errorMsg.size() - 1) << ": " << err << endl;
         ssh_channel_free(channel);
     }
     else
     {
-        char buffer[1024*512]; //512K buffer
-        bool hasInterraction=true;
-	bool interactionStarted=false;
-//         x2goDebug<<"CHECK LOGIN channel created."<<endl;
+        char buffer[1024 * 512]; //512K buffer
+        bool hasInterraction = true;
+        bool interactionStarted = false;
+        //         x2goDebug<<"CHECK LOGIN channel created."<<endl;
         while (ssh_channel_is_open(channel) &&
-                !ssh_channel_is_eof(channel))
+               !ssh_channel_is_eof(channel))
         {
             int nbytes = ssh_channel_read_nonblocking(channel, buffer, sizeof(buffer), 0);
             if (nbytes < 0)
@@ -1704,194 +1717,188 @@ bool SshMasterConnection::checkLogin()
             }
             if (nbytes > 0)
             {
-                QString inf=QByteArray ( buffer,nbytes );
-                x2goDebug<<"LOGIN CHECK:"<<inf;
-                if(inf.indexOf("LOGIN OK")!=-1)
+                QString inf = QByteArray(buffer, nbytes);
+                x2goDebug << "LOGIN CHECK:" << inf;
+                if (inf.indexOf("LOGIN OK") != -1)
                 {
-		    x2goDebug<<"don't have interaction";
-                    hasInterraction=false;
-		    break;
+                    x2goDebug << "don't have interaction";
+                    hasInterraction = false;
+                    break;
                 }
                 else
-		{
-		  if(!interactionStarted)
-		  {
-		     interactionStarted=true;
-		     emit startInteraction(this, inf);
-		  }
-		  else
-		     emit updateInteraction(this,inf);
-		}
+                {
+                    if (!interactionStarted)
+                    {
+                        interactionStarted = true;
+                        emit startInteraction(this, inf);
+                    }
+                    else
+                        emit updateInteraction(this, inf);
+                }
             }
             bool interrupt;
             interactionInputMutex.lock();
-	    interrupt=interactionInterrupt;
-	    QString textToSend=interactionInputText;
-	    interactionInputText=QString::null;
-	    interactionInputMutex.unlock();
-	    if(textToSend.length()>0)
-	    {
-// 	        x2goDebug<<"SEND Input to SERVER";
-	        ssh_channel_write(channel, textToSend.toLocal8Bit().constData(), textToSend.length());
-	    }
-	    if(interrupt)
-	    {
-	        break;
-	    }
+            interrupt = interactionInterrupt;
+            QString textToSend = interactionInputText;
+            interactionInputText = QString::null;
+            interactionInputMutex.unlock();
+            if (textToSend.length() > 0)
+            {
+                // 	        x2goDebug<<"SEND Input to SERVER";
+                ssh_channel_write(channel, textToSend.toLocal8Bit().constData(), textToSend.length());
+            }
+            if (interrupt)
+            {
+                break;
+            }
             this->usleep(30);
         }
 
-        x2goDebug<<"LOOP FINISHED";
-	bool retVal=false;
-        if(!hasInterraction)
-	{
-	    x2goDebug<<"No interaction needed, continue session";
-            retVal=true;
-	}
-	else
+        x2goDebug << "LOOP FINISHED";
+        bool retVal = false;
+        if (!hasInterraction)
         {
-            sshProcErrString=tr("Reconnect session");
-            x2goDebug<<"Reconnect session";
+            x2goDebug << "No interaction needed, continue session";
+            retVal = true;
+        }
+        else
+        {
+            sshProcErrString = tr("Reconnect session");
+            x2goDebug << "Reconnect session";
         }
         ssh_channel_close(channel);
         ssh_channel_send_eof(channel);
         ssh_channel_free(channel);
-	return retVal;
-
+        return retVal;
     }
     return false;
-
 }
 
 bool SshMasterConnection::userAuth()
 {
     if (kerberos)
         return userAuthKrb();
-    if ( autologin && key=="" )
-        if ( userAuthAuto() )
+    if (autologin && key == "")
+        if (userAuthAuto())
             return true;
-    if ( key!="" )
+    if (key != "")
     {
-        if ( userAuthWithKey() )
+        if (userAuthWithKey())
             return true;
     }
     return userAuthWithPass();
 }
 
-
-void SshMasterConnection::addChannelConnection ( SshProcess* creator, int sock, QString forwardHost, int forwardPort,
-        QString localHost, int localPort, void* channel )
+void SshMasterConnection::addChannelConnection(SshProcess *creator, int sock, QString forwardHost, int forwardPort,
+                                               QString localHost, int localPort, void *channel)
 {
     ChannelConnection con;
-    con.channel= ( ssh_channel ) channel;
-    con.sock=sock;
-    con.creator=creator;
-    con.forwardHost=forwardHost;
-    con.forwardPort=forwardPort;
-    con.localHost=localHost;
-    con.localPort=localPort;
+    con.channel = (ssh_channel)channel;
+    con.sock = sock;
+    con.creator = creator;
+    con.forwardHost = forwardHost;
+    con.forwardPort = forwardPort;
+    con.localHost = localHost;
+    con.localPort = localPort;
 
     channelConnectionsMutex.lock();
-    channelConnections<<con;
+    channelConnections << con;
     channelConnectionsMutex.unlock();
 }
 
-
-void SshMasterConnection::addChannelConnection ( SshProcess* creator, QString uuid, QString cmd )
+void SshMasterConnection::addChannelConnection(SshProcess *creator, QString uuid, QString cmd)
 {
 
     ChannelConnection con;
-    con.channel=NULL;
-    con.sock=-1;
-    con.creator=creator;
-    con.command=cmd;
-    con.uuid=uuid;
+    con.channel = NULL;
+    con.sock = -1;
+    con.creator = creator;
+    con.command = cmd;
+    con.uuid = uuid;
 
     x2goDebug << "Locking SSH channel connection MUTEX.";
     channelConnectionsMutex.lock();
     x2goDebug << "Passing new channel connection object to channelConnections.";
-    channelConnections<<con;
+    channelConnections << con;
     x2goDebug << "Unlocking SSH channel connection MUTEX.";
     channelConnectionsMutex.unlock();
 }
 
-
-void SshMasterConnection::addCopyRequest ( SshProcess* creator, QString src, QString dst )
+void SshMasterConnection::addCopyRequest(SshProcess *creator, QString src, QString dst)
 {
     CopyRequest req;
-    req.src=src;
-    req.dst=dst;
-    req.creator=creator;
+    req.src = src;
+    req.dst = dst;
+    req.creator = creator;
     copyRequestMutex.lock();
-    copyRequests<<req;
+    copyRequests << req;
     copyRequestMutex.unlock();
 }
 
-
 void SshMasterConnection::copy()
 {
 
-    for ( int i=copyRequests.size()-1; i>=0; --i )
+    for (int i = copyRequests.size() - 1; i >= 0; --i)
     {
-        QStringList lst=copyRequests[i].dst.split ( "/" );
-        QString dstFile=lst.last();
+        QStringList lst = copyRequests[i].dst.split("/");
+        QString dstFile = lst.last();
         lst.removeLast();
-        QString dstPath=lst.join ( "/" );
-        x2goDebug<<"SSH Master Connection copy - dst path:"<<dstPath<<" file:"<<dstFile<<endl;
-        ssh_scp scp=ssh_scp_new ( my_ssh_session, SSH_SCP_WRITE|SSH_SCP_RECURSIVE, dstPath.toLatin1() );
-        if ( scp == NULL )
+        QString dstPath = lst.join("/");
+        x2goDebug << "SSH Master Connection copy - dst path:" << dstPath << " file:" << dstFile << endl;
+        ssh_scp scp = ssh_scp_new(my_ssh_session, SSH_SCP_WRITE | SSH_SCP_RECURSIVE, dstPath.toLatin1());
+        if (scp == NULL)
         {
-            x2goDebug<<"Error allocating SCP session: "<< ssh_get_error ( my_ssh_session ) <<endl;
+            x2goDebug << "Error allocating SCP session: " << ssh_get_error(my_ssh_session) << endl;
             return;
         }
-        int rc = ssh_scp_init ( scp );
-        if ( rc != SSH_OK )
+        int rc = ssh_scp_init(scp);
+        if (rc != SSH_OK)
         {
-            x2goDebug<<"Error initializing SCP session: "<< ssh_get_error ( my_ssh_session ) <<endl;
-            ssh_scp_free ( scp );
+            x2goDebug << "Error initializing SCP session: " << ssh_get_error(my_ssh_session) << endl;
+            ssh_scp_free(scp);
             return;
         }
-        QFile file ( copyRequests[i].src );
-        if ( !file.open ( QIODevice::ReadOnly ) )
+        QFile file(copyRequests[i].src);
+        if (!file.open(QIODevice::ReadOnly))
         {
-            QString errMsg=tr ( "Cannot open file " ) +copyRequests[i].src;
-            emit copyErr ( copyRequests[i].creator, errMsg, "" );
-            copyRequests.removeAt ( i );
-            ssh_scp_close ( scp );
-            ssh_scp_free ( scp );
+            QString errMsg = tr("Cannot open file ") + copyRequests[i].src;
+            emit copyErr(copyRequests[i].creator, errMsg, "");
+            copyRequests.removeAt(i);
+            ssh_scp_close(scp);
+            ssh_scp_free(scp);
             continue;
         }
-        QByteArray arr=file.readAll();
+        QByteArray arr = file.readAll();
         file.close();
-        rc=ssh_scp_push_file ( scp,dstFile.toLatin1(),arr.size(), 0600 );
-        if ( rc != SSH_OK )
+        rc = ssh_scp_push_file(scp, dstFile.toLatin1(), arr.size(), 0600);
+        if (rc != SSH_OK)
         {
-            QString errMsg=tr ( "Cannot create remote file " ) +copyRequests[i].dst;
-            QString serr=ssh_get_error ( my_ssh_session );
-            x2goDebug<<errMsg<<" - "<<serr<<endl;
-            emit copyErr ( copyRequests[i].creator, errMsg, serr );
-            copyRequests.removeAt ( i );
-            ssh_scp_close ( scp );
-            ssh_scp_free ( scp );
+            QString errMsg = tr("Cannot create remote file ") + copyRequests[i].dst;
+            QString serr = ssh_get_error(my_ssh_session);
+            x2goDebug << errMsg << " - " << serr << endl;
+            emit copyErr(copyRequests[i].creator, errMsg, serr);
+            copyRequests.removeAt(i);
+            ssh_scp_close(scp);
+            ssh_scp_free(scp);
             continue;
         }
-        rc=ssh_scp_write ( scp,arr.data(),arr.size() );
-        if ( rc != SSH_OK )
+        rc = ssh_scp_write(scp, arr.data(), arr.size());
+        if (rc != SSH_OK)
         {
-            QString serr=ssh_get_error ( my_ssh_session );
-            QString errMsg=tr ( "Cannot write to remote file " ) +copyRequests[i].dst;
-            x2goDebug<<errMsg<<" - "<<serr<<endl;
-            emit copyErr ( copyRequests[i].creator, errMsg, serr );
-            copyRequests.removeAt ( i );
-            ssh_scp_close ( scp );
-            ssh_scp_free ( scp );
+            QString serr = ssh_get_error(my_ssh_session);
+            QString errMsg = tr("Cannot write to remote file ") + copyRequests[i].dst;
+            x2goDebug << errMsg << " - " << serr << endl;
+            emit copyErr(copyRequests[i].creator, errMsg, serr);
+            copyRequests.removeAt(i);
+            ssh_scp_close(scp);
+            ssh_scp_free(scp);
             continue;
         }
-        emit copyOk ( copyRequests[i].creator );
-        x2goDebug<<"scp ok: "<<copyRequests[i].src<<" -> "<<user<<"@"<<host<<":"<<copyRequests[i].dst<<endl;
-        copyRequests.removeAt ( i );
-        ssh_scp_close ( scp );
-        ssh_scp_free ( scp );
+        emit copyOk(copyRequests[i].creator);
+        x2goDebug << "scp ok: " << copyRequests[i].src << " -> " << user << "@" << host << ":" << copyRequests[i].dst << endl;
+        copyRequests.removeAt(i);
+        ssh_scp_close(scp);
+        ssh_scp_free(scp);
     }
 }
 
@@ -1900,47 +1907,47 @@ void SshMasterConnection::channelLoop()
     forever
     {
         disconnectFlagMutex.lock();
-        bool disconnect=disconnectSessionFlag;
+        bool disconnect = disconnectSessionFlag;
         disconnectFlagMutex.unlock();
 
-        if ( disconnect )
+        if (disconnect)
         {
-            x2goDebug<<"Disconnecting ..."<<endl;
+            x2goDebug << "Disconnecting ..." << endl;
 
-            if (useproxy && proxytype==PROXYSSH&&sshProxy)
+            if (useproxy && proxytype == PROXYSSH && sshProxy)
             {
                 delete sshProxy;
-                sshProxy=0;
+                sshProxy = 0;
             }
 
             channelConnectionsMutex.lock();
-            x2goDebug<<"Deleting channel connections."<<endl;
-            for ( int i=0; i<channelConnections.size(); ++i )
+            x2goDebug << "Deleting channel connections." << endl;
+            for (int i = 0; i < channelConnections.size(); ++i)
             {
-                finalize ( i );
+                finalize(i);
             }
             channelConnectionsMutex.unlock();
-            x2goDebug<<"Disconnecting session."<<endl;
-            ssh_disconnect ( my_ssh_session );
-            ssh_free ( my_ssh_session );
+            x2goDebug << "Disconnecting session." << endl;
+            ssh_disconnect(my_ssh_session);
+            ssh_free(my_ssh_session);
 
-            x2goDebug<<"Deleting sockets."<<endl;
+            x2goDebug << "Deleting sockets." << endl;
             if (tcpProxySocket != NULL)
                 delete tcpProxySocket;
             if (tcpNetworkProxy != NULL)
                 delete tcpNetworkProxy;
-            x2goDebug<<"All channels closed and session disconnected. Quitting session loop."<<endl;
+            x2goDebug << "All channels closed and session disconnected. Quitting session loop." << endl;
             quit();
             return;
         }
         addReverseTunnelConnections();
         checkReverseTunnelConnections();
         copyRequestMutex.lock();
-        if ( copyRequests.size() >0 )
+        if (copyRequests.size() > 0)
             copy();
         copyRequestMutex.unlock();
 
-        char buffer[1024*512]; //512K buffer
+        char buffer[1024 * 512]; //512K buffer
         int nbytes;
         fd_set rfds;
 
